package com.mdd.admin.service.impl;

import com.mdd.admin.service.IMarketingRechargeService;
import com.mdd.admin.validate.marketing.MarketingRechargeValidate;
import com.mdd.admin.vo.marketing.MarketingRechargeVo;
import com.mdd.common.util.ConfigUtils;
import java.math.BigDecimal;
import java.util.Map;
import org.springframework.stereotype.Service;

@Service
public class MarketingRechargeServiceImpl implements IMarketingRechargeService {
   public MarketingRechargeVo detail() {
      Map<String, String> config = ConfigUtils.get("recharge");
      MarketingRechargeVo vo = new MarketingRechargeVo();
      vo.setOpenRecharge(Integer.parseInt((String)config.getOrDefault("openRecharge", "0")));
      vo.setMinRechargeMoney(new BigDecimal((String)config.getOrDefault("minRechargeMoney", "0")));
      return vo;
   }

   public void save(MarketingRechargeValidate rechargeValidate) {
      ConfigUtils.set("recharge", "openRecharge", rechargeValidate.getOpenRecharge().toString());
      ConfigUtils.set("recharge", "minRechargeMoney", rechargeValidate.getMinRechargeMoney().toString());
   }
}
